//
//  ViewController.swift
//  verySimpleRampTest2
//
//  Created by Andrei Antonescu on 23.05.2022.
//

import UIKit
import AudioKit
import DunneAudioKit

class ViewController: UIViewController {

    let akEngine = AudioEngine()
    let osc = Synth()

    override func viewDidLoad() {
        super.viewDidLoad()
        
        akEngine.output = osc
        do {
            try akEngine.start()
        } catch {
            print("Couldn't start AudioEngine.")
        }
        
        osc.play(noteNumber: 50, velocity: 100)
        osc.$masterVolume.ramp(to: 0, duration: 1)
        sleep(5)
        osc.stop()
    }
}

